libzypp: zypp::dumpCap Struct Reference

libzypp 17.38.14

zypp::dumpCap Struct Reference

relates: Capability IOManip to dump a complex Capability as tree. More...

`#include <zypp/Capability.h>`

## Public Member Functions
| dumpCap (Capability cap_r)

## Private Member Functions
std::ostream & | dumpOn (std::ostream &str) const
std::ostream & | _dumpRec (std::ostream &str, Capability cap_r, std::string lvl_r="") const

## Private Attributes
Capability | _cap

## Friends
std::ostream & | operator<< (std::ostream &str, const dumpCap &obj)
| relates: dumpCap Stream output

## Detailed Description

relates: Capability IOManip to dump a complex Capability as tree.

Capability cap { Capability::CAP_AND, Capability( ResolverNamespace::modalias, "fake:baa" ), Capability("kernelX") };
cout << dumpCap(cap) << endl;
> "namespace:modalias"
> +<NAMESPACE
> | "fake:baa"
> <and
> "kernelX"
zypp::Capability
A sat capability.
Definition Capability.h:63
zypp::Capability::CAP_AND
@ CAP_AND
and
Definition Capability.h:153
zypp::ResolverNamespace::modalias
@ modalias
hardware support
Definition ResolverNamespace.h:27
zypp::dumpCap::dumpCap
dumpCap(Capability cap_r)
Definition Capability.h:333

Definition at line 331 of file Capability.h.

## Constructor & Destructor Documentation

## ◆ dumpCap()

zypp::dumpCap::dumpCap | ( | Capability | cap_r | ) |
| inline

Definition at line 333 of file Capability.h.

## Member Function Documentation

## ◆ dumpOn()

std::ostream & zypp::dumpCap::dumpOn | ( | std::ostream & | str | ) | const
| private

Definition at line 611 of file Capability.cc.

## ◆ _dumpRec()

std::ostream & zypp::dumpCap::_dumpRec | ( | std::ostream & | str,
|  | Capability | cap_r,
|  | std::string | lvl_r = "" ) const
| private

Definition at line 613 of file Capability.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | str,
|  | const dumpCap & | obj )
| friend

relates: dumpCap Stream output

Definition at line 344 of file Capability.h.

## Member Data Documentation

## ◆ _cap

Capability zypp::dumpCap::_cap
| private

Definition at line 341 of file Capability.h.

The documentation for this struct was generated from the following files:

- zypp/Capability.h
- zypp/Capability.cc